Skip to main content
GET
Read geofences

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Query Parameters

Filters by name (case-insensitive contains). Example: warehouse

groupId
string

Only geofences of this group. Use none for geofences without a group. Example: 66e0a0b1c2d3e4f5a6b7c8d9

type
enum<string>

Only this shape. Example: polygon

Available options:
polygon,
circle
isActive
boolean

Only active (true) or inactive (false) geofences. Example: true

withGeometry
enum<string>

Include geometry and center in each row. One of 1, 0, true, false. Example: true

Available options:
1,
0,
true,
false
page
integer
default:1

The page number of results to retrieve. Example: 2

limit
integer
default:10

Number of geofences per page. Minimum 1, maximum 100. Default 10. Example: 10

Required range: 1 <= x <= 100

Response

Success

status
boolean

Status of response.

message
string

Message of API response.

data
object

Paginated list of geofences.